Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel.repository
Class AssemblyRepository

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
          kieker.tools.traceAnalysis.systemModel.repository.AssemblyRepository

    public class AssemblyRepository

extends AbstractSystemSubRepository

Since:
  1.1
Author:
  Andre van Hoorn

Field Summary
`static AssemblyComponent` | `ROOT_ASSEMBLY_COMPONENT` This constant represents the root assembly component.

Fields inherited from class kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
`ROOT_ELEMENT_ID`

Constructor Summary
`AssemblyRepository(SystemModelRepository systemFactory)` Creates a new instance of this class using the given parameters.

Method Summary
`AssemblyComponent` | `createAndRegisterAssemblyComponentInstance(String namedIdentifier, ComponentType componentType)` Creates a new assembly component instance and registers it as well.
`Collection<AssemblyComponent>` | `getAssemblyComponentInstances()` Delivers all available assembly component instances.
`AssemblyComponent` | `lookupAssemblyComponentById(int containerId)` Returns the instance for the passed ID; null if no instance with this ID exists.
`AssemblyComponent` | `lookupAssemblyComponentInstanceByNamedIdentifier(String namedIdentifier)` Returns the instance for the passed factoryIdentifier; null if no instance with this factoryIdentifier.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_ASSEMBLY_COMPONENT

    public static final AssemblyComponent ROOT_ASSEMBLY_COMPONENT

  This constant represents the root assembly component.

Constructor Detail

### AssemblyRepository

    public AssemblyRepository(SystemModelRepository systemFactory)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `systemFactory` - The system factory.

Method Detail

### lookupAssemblyComponentById

    public final AssemblyComponent lookupAssemblyComponentById(int containerId)

  Returns the instance for the passed ID; null if no instance with this ID exists.

  Parameters:
    `containerId` - The ID to search for.
  Returns:
    The component for the given ID if it exists; null otherwise.

### lookupAssemblyComponentInstanceByNamedIdentifier

    public final AssemblyComponent lookupAssemblyComponentInstanceByNamedIdentifier(String namedIdentifier)

  Returns the instance for the passed factoryIdentifier; null if no instance with this factoryIdentifier.

  Parameters:
    `namedIdentifier` - The identifier to search for.
  Returns:
    The component for the given identifier if it exists; null otherwise.

### createAndRegisterAssemblyComponentInstance

    public final AssemblyComponent createAndRegisterAssemblyComponentInstance(String namedIdentifier,
                                                                              ComponentType componentType)

  Creates a new assembly component instance and registers it as well.

  Parameters:
    `namedIdentifier` - The identifier of the new component.
    `componentType` - The new component type.
  Returns:
    The newly created assembly component.

### getAssemblyComponentInstances

    public final Collection<AssemblyComponent> getAssemblyComponentInstances()

  Delivers all available assembly component instances.

  Returns:
    A collection containing all components.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net